Skip to main content
GET
/
api
/
external
/
v2
/
subscription-customers-detail
/
valid
/
{customerId}
Get detailed subscription information for a customer
curl --request GET \
  --url https://subscription-admin.appstle.com/api/external/v2/subscription-customers-detail/valid/{customerId}
[
  {
    "id": 789,
    "subscriptionContractId": 5234567890,
    "status": "ACTIVE",
    "nextBillingDate": "2024-03-15T00:00:00Z",
    "billingInterval": "MONTH",
    "billingIntervalCount": 1,
    "deliveryInterval": "MONTH",
    "deliveryIntervalCount": 1,
    "currencyCode": "USD",
    "currentTotalPrice": "49.99",
    "customerId": 12345,
    "customerEmail": "customer@example.com",
    "shop": "example-shop.myshopify.com",
    "currentCycle": 3,
    "deliveryMethod": "SHIPPING"
  },
  {
    "id": 790,
    "subscriptionContractId": 5234567891,
    "status": "PAUSED",
    "billingInterval": "WEEK",
    "billingIntervalCount": 2,
    "currencyCode": "USD",
    "currentTotalPrice": "24.99",
    "customerId": 12345,
    "customerEmail": "customer@example.com"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Path Parameters

customerId
integer<int64>
required

Customer Id

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Response

Successfully retrieved customer subscription details. Returns array of subscription objects (may be empty).

shop
string
required
id
integer<int64>
graphSubscriptionContractId
string
subscriptionContractId
integer<int64>
billingPolicyInterval
string
billingPolicyIntervalCount
integer<int32>
currencyCode
string
customerId
integer<int64>
graphCustomerId
string
deliveryPolicyInterval
string
deliveryPolicyIntervalCount
integer<int32>
status
string
graphOrderId
string
orderId
integer<int64>
createdAt
string<date-time>
updatedAt
string<date-time>
nextBillingDate
string<date-time>
orderAmount
number<double>
orderName
string
customerName
string
customerEmail
string
subscriptionCreatedEmailSent
boolean
endsAt
string<date-time>
startsAt
string<date-time>
subscriptionCreatedEmailSentStatus
enum<string>
Available options:
SENT,
UNSENT,
FAILED,
EMAIL_SETTINGS_DISABLED,
CUSTOMER_PAYMENT_EMPTY,
CONTRACT_PAUSED_STATUS
minCycles
integer<int32>
maxCycles
integer<int32>
customerFirstName
string
customerLastName
string
autoCharge
boolean
importedId
string
stopUpComingOrderEmail
boolean
pausedFromActive
boolean
skipPaymentCreateUnpaidOrder
boolean
subscriptionCreatedSmsSentStatus
enum<string>
Available options:
SENT,
UNSENT,
FAILED,
SMS_SETTINGS_DISABLED,
CUSTOMER_PAYMENT_EMPTY,
CONTRACT_PAUSED_STATUS,
PHONE_NUMBER_EMPTY
phone
string
activatedOn
string<date-time>
pausedOn
string<date-time>
cancelledOn
string<date-time>
contractDetailsJSON
string
deletedVariantIds
string
cancellationFeedback
string
orderNote
string
orderNoteAttributes
string
allowDeliveryPriceOverride
boolean
disableFixEmptyQueue
boolean
orderAmountUSD
number<double>
originType
enum<string>
Available options:
STORE_FRONT,
IMPORTED,
SPLIT_ATTEMPT_BILLING,
SPLIT_CONTRACT
originalContractId
integer<int64>
cancellationNote
string
subscriptionType
enum<string>
Available options:
REGULAR_SUBSCRIPTION,
BUILD_A_BOX_CLASSIC,
BUILD_A_BOX_SINGLE_PRODUCT,
BUNDLING_CLASSIC,
BUNDLING_MIX_AND_MATCH,
SECTIONED_BUNDLE,
VOLUME_DISCOUNT
subscriptionTypeIdentifier
string
upcomingEmailBufferDays
integer<int32>
upcomingEmailTaskUrl
string
contractAmount
number<double>
contractAmountUSD
number<double>
lastSuccessfulOrder
string
totalSuccessfulOrders
integer<int32>
lifetimeValue
number<double>
lifetimeValueUSD
number<double>
allowDeliveryAddressOverride
boolean
billingDateAfterTrial
string<date-time>
pauseReason
string
pauseFeedback
string
pauseTillDate
string<date-time>
pauseDurationCycle
integer<int32>
pendingCancellationCycle
integer<int32>
pendingCancellationDate
string<date-time>
emailBouncedOrFailed
boolean
updatingQueue
boolean
customerTag
string
queueUpdatedAt
string<date-time>
orderAmountShopCurrency
number<double>
orderAmountContractCurrency
number<double>
billingCountryCode
string
deliveryCountryCode
string
nextPaidBillingDate
string<date-time>